WHOIS(1)

NOM
whois - Client pour le service d'annuaire whois

SYNOPSIS
whois [ { -h | --host } HÔTE ] [ { -p | --port } PORT ] [ -abBcdGHIKlLmMrRx ] [ -g SOURCE:PREMIER-DERNIER ] [ -i ATTR[,ATTR]... ] [ -s SOURCE[,SOURCE]... ] [ -TTYPE[,TYPE]... ] [ --verbose ] [ --no-recursion ] OBJET

whois -q MOT_CLÉ

whois -t TYPE

whois -v TYPE

whois --help

whois --version

DESCRIPTION
whois cherche un objet dans une base de données RFC 3912.

Cette version du client whois essaie de deviner le serveur adéquat pour la recherche de l'objet spécifié. Si aucune supposition ne peut être avancée, le client se connectera à whois.networksolutions.com pour les pseudonymes NIC (« NIC handles ») ou whois.arin.net pour les adresses IPv4 et les noms de réseau.

OPTIONS

-h  HÔTE, --host=HÔTE Se connecter à HÔTE.

-H  Ne pas afficher les clauses de non-responsabilité que certains registres aiment vous montrer.

-p  PORT, --port=PORT Se connecter à PORT.

-I  Interroger en premier whois.iana.org et suivre alors son référent pour se référer au serveur whois faisant autorité sur cette requête. Cela fonctionne pour les adresses IP, les domaines et numéros AS. ATTENTION : cela implique que le serveur IANA reçoive votre demande dans son entièreté.

--no-recursion
    Désactiver la récursion du registre vers les serveurs de bureaux d'enregistrement.

--verbose
    Sortie détaillée.

--help
    Afficher l'aide en ligne.

--version
    Afficher la version du programme.

Les autres options sont des drapeaux compréhensibles par whois.ripe.net et quelques autres serveurs de genre RIPE :

-a  Rechercher aussi toutes les bases de données miroir.

-b  Renvoyer de brèves plages d'adresses IP avec des contacts d'abus.

-B  Désactiver le filtrage d'objets (montrer les adresses de courriel).

-c  Renvoyer la plus petite plage d'adresses IP avec une référence à un objet irt.

-d  Renvoyer aussi les objets de délégation DNS inverse.

-g  SOURCE:FIRST-LAST Rechercher les mises à jour de la base de données SOURCE ayant des numéros de série de mise à jour entre PREMIER et DERNIER. Cela est utile pour obtenir un flux miroir en temps quasi réel.

-G  Désactiver le groupement des objets associés.

-i  ATTR[,ATTR]... Effectuer une recherche inverse d'objets ayant des attributs associés. Le nom de l'attribut est ATTR, alors que l'argument de position OBJET est la valeur de l'attribut.

-K  Renvoyer uniquement les attributs de clé primaire. Par exception l'attribut des membres des objets définis est toujours renvoyé. Une autre exception concerne tous les attributs des objets organisation, personne et rôle, qui ne sont jamais renvoyés.

-l  Réduire d'un niveau la spécificité de la recherche.

-L  Renvoyer tous les niveaux moins spécifiques d'objets.

-m  Renvoyer tous les objets d'un niveau plus spécifique.

-M  Renvoyer tous les niveaux plus spécifiques des objets.

-q  MOT_CLÉ Renvoyer de l'information à propos du serveur. MOT_CLÉ peut être version pour la version du serveur, sources pour la liste des sources de base de données ou types pour la liste des types d'objets pris en charge.

-r  Désactiver les recherches récursives des informations de contacts.

-R  Désactiver les renvois suivants et forcer l'affichage de l'objet à partir de la copie locale dans le serveur.

-s  SOURCE[,SOURCE]... Demander au serveur de chercher les objets mis en miroir depuis SOURCE. Les sources sont délimitées par des virgules, et l'ordre est significatif. Utiliser le paramètre -q sources pour obtenir une liste de sources valables.

-t  TYPE Renvoyer le patron d'un objet de type TYPE.

-T  TYPE[,TYPE]... Restreindre la recherche aux objets de type TYPE. Les types multiples sont séparés par des virgules.

-v  TYPE Renvoyer le patron détaillé pour un objet de type TYPE.

-x  Rechercher uniquement une correspondance exacte du préfixe de l'adresse réseau.

NOTES
Lorsque vous interrogez les serveurs légers de registres des gTLD de Verisign (par exemple, .com, .net...) pour un domaine, le programme ajoutera automatiquement le mot-clé domain pour n'afficher que les enregistrements de domaine. Les mots-clés nameserver ou registrar doivent être utilisés pour montrer d'autres types d'enregistrements.

Lors d'une requête à whois.arin.net pour les réseaux IPv4 ou IPv6, la totalité du masque de réseau CIDR sera automatiquement supprimée de la chaîne d'interrogation.

Lors d'une demande à whois.nic.ad.jp pour les numéros AS, le programme convertira automatiquement la demande dans le format approprié, insérant une espace après la chaîne AS.

Lors d'une requête à whois.denic.de pour des noms de domaines et qu'aucun autre drapeau n'est spécifié, le programme rajoutera automatiquement le drapeau -T dn.

Lors d'une requête à whois.dk-hostmaster.dk pour des noms de domaine et qu'aucun drapeau n'est spécifié, le programme ajoutera automatiquement le drapeau --show-handles.

Les options de ligne de commande spécifiques à RIPE sont ignorées lors de requêtes à des serveurs non RIPE. Cela peut être ou non le comportement souhaité par l'utilisateur. Lors de l'utilisation de paramètres de requête non standard, les options de la ligne de commandes qui ne sont pas interprétées par le client doivent être placées après le séparateur (--) (qui marque le début de la chaîne de requête).

Si le fichier de configuration /etc/whois.conf existe, il sera consulté pour trouver un serveur avant d'appliquer les règles usuelles. Chaque ligne du fichier devrait contenir une expression régulière qui sera comparée au texte de la requête et au serveur whois à utiliser, séparés par un espace blanc. Les domaines IDN doivent utiliser le format ACE.

Le protocole whois ne spécifie pas d'encodage pour les caractères qui ne peuvent pas être représentés en ASCII et les implémentations varient énormément. Si le programme sait qu'un serveur spécifique utilise un certain encodage, il transcodera, si nécessaire, la sortie du serveur vers l'encodage indiqué par les paramètres régionaux actuels du système.

Les arguments de la ligne de commandes seront toujours interprétés en fonction des paramètres régionaux du système et convertis en l'encodage compatible ASCII d'IDN.

FICHIERS
/etc/whois.conf

ENVIRONNEMENT

LANG
    Lors d'une requête à whois.nic.ad.jp ou whois.jprs.jp un texte en anglais est nécessaire à moins que les variables d'environnement LANG ou LC_MESSAGES ne spécifient une locale japonaise.

WHOIS_OPTIONS
    Une liste d’options évaluées avant celles indiquées dans la ligne de commande.

WHOIS_SERVER
    Ce serveur sera requis si le programme ne peut pas deviner où certaines sortes d'objets sont situées. Si la variable n'existe pas, alors whois.arin.net sera questionné.

VOIR AUSSI
whois.conf(5).

RFC 3912 : WHOIS Protocol Specification.

RIPE Database Query Reference Manual : <https://www.ripe.net/data-tools/support/documentation/ripe-database-query-reference-manual>

BOGUES
Le programme peut présenter des dépassements de tampon dans l'analyseur de ligne de commande : assurez-vous de ne pas lui transmettre de données non fiables. Il devrait être réécrit pour utiliser une bibliothèque dynamique de chaînes de caractères.

HISTORIQUE
Ce programme suit de près l'interface utilisateur du client whois développé au RIPE par Ambrose Magee et d'autres sur la base du client BSD originel.

AUTEUR
whois et cette page de manuel ont été écrits par Marco d'Itri <md@linux.it> et sont brevetés sous les termes de la GNU General Public License, version 2 ou ultérieure.

TRADUCTION
La traduction française de cette page de manuel a été créée par G. Gracian et bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.